TRUNCATE(1)

BEZEICHNUNG
truncate - Die Größe einer Datei auf die angegebene Größe verkleinern oder vergrößern

ÜBERSICHT
truncate OPTION… DATEI…

BESCHREIBUNG

Die Größe einer Datei auf die angegebene Größe verkleinern oder vergrößern.

Eine noch nicht existierende DATEI wird angelegt.

Falls eine DATEI größer als angegeben ist, gehen die zusätzlichen Daten verloren. Ist sie kürzer, wird sie erweitert und der erweiterte Teil (Loch) wird als Nullbytes gelesen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --no-create
    Keine Dateien erstellen

-o, --io-blocks
    GRÖSSE als Anzahl von E/A-Blöcken anstatt Byte behandeln

-r, --reference=RDATEI
    Größe auf RDATEI basieren

-s, --size=GRÖSSE
    Setzen oder Anpassen der Dateigröße auf GRÖSSE in Byte

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000). Es können auch binäre Präfixe verwandt werden: KiB=K, MiB=M und so weiter.

GRÖSSE kann auch mit einem der folgenden Zeichen als Präfix versehen werden: »+« erweitern um, »-« verkleinern um, »<« höchstens, »>« mindestens, »/« abrunden zu Vielfachem von, »%« aufrunden zu Vielfachem von.

AUTOR
Geschrieben von Pádraig Brady.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: <https://www.gnu.org/software/coreutils/>
Melden Sie Fehler in der Übersetzung an <https://translationproject.org/team/de.html>

COPYRIGHT
Copyright © 2019 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <https://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
dd(1), truncate(2), ftruncate(2)

Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/truncate>
oder lokal verfügbar mit: info '(coreutils) truncate invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de>, Dr. Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.